CABS(3)

NAME
cabs, cabsf, cabsl - complex absolute-value

SYNOPSIS

#include <complex.h>

double cabs(double complex z);

float cabsf(float complex z);

long double cabsl(long double complex z);

DESCRIPTION

These functions compute compute the complex absolute value (also called norm, modulus, or magnitude) of z.

cabsf is identical to cabs, except that it performs its calculations on float complex.

cabsl is identical to cabs, except that it performs its calculations on long double complex.

RETURNS

The cabs* functions return the complex absolute value.

PORTABILITY

cabs, cabsf and cabsl are ISO C99